## org.eclipse.emf.ecore
Interface EAttribute

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EStructuralFeature, ETypedElement, Notifier

All Known Implementing Classes:
  EAttributeImpl

    public interface EAttribute

extends EStructuralFeature

A representation of the model object 'EAttribute'.

The following features are supported:

- `ID`
- `EAttribute Type`

See Also:
  `EcorePackage.getEAttribute()`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature
`EStructuralFeature.Internal, EStructuralFeature.Setting`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary
`EDataType` `getEAttributeType()` Returns the value of the 'EAttribute Type' reference
`boolean` `isID()` Returns the value of the 'ID' attribute
`void` `setID(boolean value)` Sets the value of the '`ID`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature
`getContainerClass, getDefaultValue, getDefaultValueLiteral, getEContainingClass, getFeatureID, isChangeable, isDerived, isTransient, isUnsettable, isVolatile, setChangeable, setDefaultValue, setDefaultValueLiteral, setDerived, setTransient, setUnsettable, setVolatile`

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isID

    boolean isID()

  Returns the value of the 'ID' attribute.

  An ID attribute explicitly models the one unique `ID` of an object.

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `EClass.getEIDAttribute()`, `setID(boolean)`, `EcorePackage.getEAttribute_ID()`

### setID

    void setID(boolean value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `isID()`

### getEAttributeType

    EDataType getEAttributeType()

  Returns the value of the 'EAttribute Type' reference.

  The `type` of an attribute must always be a data type; this method provides access to it.

  Returns:
    the value of the 'EAttribute Type' reference.
  See Also:
    `EcorePackage.getEAttribute_EAttributeType()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.